Package owl.automaton.ldba

## Class LimitDeterministicAutomatonImpl<S,T,U extends GeneralizedBuchiAcceptance,V>

- java.lang.Object
- - owl.automaton.ldba.LimitDeterministicAutomatonImpl<S,T,U,V>

- All Implemented Interfaces:
    `LimitDeterministicAutomaton<S,T,U,V>`

      public final class LimitDeterministicAutomatonImpl<S,T,U extends GeneralizedBuchiAcceptance,V>
      extends Object
      implements LimitDeterministicAutomaton<S,T,U,V>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LimitDeterministicAutomatonImpl​(MutableAutomaton<S,NoneAcceptance> initialComponent, MutableAutomaton<T,U> acceptingComponent, com.google.common.collect.SetMultimap<S,T> epsilonJumps, com.google.common.collect.Table<S,ValuationSet,Set<T>> valuationSetJumps, Set<T> acceptingComponentInitialStates)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Automaton<T,U>` | `acceptingComponent()` |
    `V` | `annotation​(T key)` |
    `Set<V>` | `components()` |
    `Set<T>` | `epsilonJumps​(S state)` |
    `Automaton<S,NoneAcceptance>` | `initialComponent()` |
    `Set<Object>` | `initialStates()` |
    `Map<ValuationSet,Set<T>>` | `valuationSetJumps​(S state)` |
    `List<String>` | `variables()` |

    - ### Methods inherited from interface owl.automaton.ldba.LimitDeterministicAutomaton

      `isDeterministic, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LimitDeterministicAutomatonImpl

          public LimitDeterministicAutomatonImpl​(MutableAutomaton<S,NoneAcceptance> initialComponent,
                                                 MutableAutomaton<T,U> acceptingComponent,
                                                 com.google.common.collect.SetMultimap<S,T> epsilonJumps,
                                                 com.google.common.collect.Table<S,ValuationSet,Set<T>> valuationSetJumps,
                                                 Set<T> acceptingComponentInitialStates)

  - ### Method Detail

    - #### initialStates

          public Set<Object> initialStates()

      Specified by:
        `initialStates` in interface `LimitDeterministicAutomaton<S,T,U extends GeneralizedBuchiAcceptance,V>`

    - #### acceptingComponent

          public Automaton<T,U> acceptingComponent()

      Specified by:
        `acceptingComponent` in interface `LimitDeterministicAutomaton<S,T,U extends GeneralizedBuchiAcceptance,V>`

    - #### annotation

          public V annotation​(T key)

      Specified by:
        `annotation` in interface `LimitDeterministicAutomaton<S,T,U extends GeneralizedBuchiAcceptance,V>`

    - #### components

          public Set<V> components()

      Specified by:
        `components` in interface `LimitDeterministicAutomaton<S,T,U extends GeneralizedBuchiAcceptance,V>`

    - #### epsilonJumps

          public Set<T> epsilonJumps​(S state)

      Specified by:
        `epsilonJumps` in interface `LimitDeterministicAutomaton<S,T,U extends GeneralizedBuchiAcceptance,V>`

    - #### initialComponent

          public Automaton<S,NoneAcceptance> initialComponent()

      Specified by:
        `initialComponent` in interface `LimitDeterministicAutomaton<S,T,U extends GeneralizedBuchiAcceptance,V>`

    - #### valuationSetJumps

          public Map<ValuationSet,Set<T>> valuationSetJumps​(S state)

      Specified by:
        `valuationSetJumps` in interface `LimitDeterministicAutomaton<S,T,U extends GeneralizedBuchiAcceptance,V>`

    - #### variables

          public List<String> variables()